@use "../abstract" as abs;

@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500;600;700&family=Josefin+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&family=Nunito:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap');


html {
    font-size: 62.5%; //10px/16px = 62.5%  -> 1rem = 10px

    @include abs.respond(large){
        font-size: 56.25%; // 8px/16px = 50%  -> 1rem = 8px
    }
}

.heading__main{
    @include abs.headingStyles(abs.$font-dancingScript, 10rem, 300, abs.$color-primary, 4rem);

    @include abs.respond(xlarge){
        font-size: 8rem;
    }

    @include abs.respond(medium){
        font-size: 6rem;
        margin-bottom: 2rem;
    }


}

.heading__sub{
    @include abs.headingStyles(abs.$font-josefinSans, 6rem, 300, abs.$color-secondary, 8rem);
    text-align: center;

    @include abs.respond(xlarge) {
        font-size: 4rem;
        margin-bottom: 5rem;
    }

    @include abs.respond(medium){
        font-size: 2.5rem;
        margin-bottom: 2rem;
    }

}